Subject: Re: RFC: Nagle latency tuning

From: Chris Snook <[email-masked]>
Date: Mon, 22 Sep 2008 19:00:08 -0400

David Miller wrote:
> From: Chris Snook <[email-masked]>
> Date: Mon, 22 Sep 2008 18:22:13 -0400
> 
>> How horrendous of a layering violation would it be to attach TCP
>> performance parameters (either user-supplied or based on interface
>> stats) to route table entries, like route metrics but intended to
>> guide TCP autotuning?  It seems like it shouldn't be that hard to
>> teach TCP that it doesn't need to optimize my lo connections much,
>> and that it should be optimizing my eth0 subnet connections for
>> lower latency and higher bandwidth than the connections that go
>> through my gateway into the great beyond.
> 
> We already do this for other TCP connection parameters, and I tend to
> think these delack/ato values belong there too.
> 
> If we add a global knob, people are just going to turn it on even if
> they are also connected to the real internet on the system rather than
> only internal networks they completely control.
> 
> That tends to cause problems.  It gets an entry on all of these bogus
> "Linux performance tuning" sections administrators read from the
> various financial messaging products.  So everyone does it without
> thinking and using their brains.

I agree 100%.  Could you please point me to an example of a connection parameter 
that gets tuned and cached this way, so I can experiment with it?

-- Chris